Package org.bukkit.block.data.type

# Interface Hopper

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

public interface Hopper extends Directional
Similar to `Powerable`, 'enabled' indicates whether or not the hopper is currently activated.
Unlike most other blocks, a hopper is only enabled when it is not receiving any power.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEnabled()`
Gets the value of the 'enabled' property.
`void`
`setEnabled(boolean enabled)`
Sets the value of the 'enabled' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### isEnabled

boolean isEnabled()
Gets the value of the 'enabled' property.

Returns:
  the 'enabled' value

### setEnabled

void setEnabled(boolean enabled)
Sets the value of the 'enabled' property.

Parameters:
  `enabled` - the new 'enabled' value